Skip to content

Delete a Cluster Alert

DELETE
/api/v1/nodes/{master_node_id}/monitoring/triggers/
curl --request DELETE \
--url 'https://api.e2enetworks.com/myaccount/api/v1/nodes/{master_node_id}/monitoring/triggers/?id=12345&type=trigger&zabbix_id=67890&service_ids=320000&project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \
--header 'Authorization: Bearer <API_TOKEN>'

Deletes an alert trigger from a cluster node. Identify the trigger with the id and zabbix_id query parameters (from the node’s alert list), set type=trigger, and pass the node’s id in service_ids. The path takes the node id (e.g. master_node_id).

master_node_id
required
integer

The node id the alert is attached to (e.g. master_node_id).

Example

320000
id
required
integer

The alert trigger id to delete.

Example

12345
type
required
string

The kind of monitoring object to delete.

Example

trigger
zabbix_id
required
integer

The underlying monitoring (Zabbix) trigger ID.

Example

67890
service_ids
required
integer

The node id the trigger belongs to.

Example

320000
project_id
required
integer

Identifier of the project to scope the request to. Required integer project ID.

Example

<PROJECT_ID>
apikey
required
string

API key used to authenticate the delete request.

Example

<API_KEY>
location
required
string

Region of the cluster.

Example

<LOCATION>

Successful response

Media typeapplication/json
object
code
integer
data
object
errors
string
message
string

Example

{
"code": 200,
"errors": "",
"message": "Trigger was deleted successfully"
}